Create a client link Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/client/{client_uuid}/linked-clients

Path parameters

  • client_uuid string Required
application/json

Body

  • account_uuid string(uuid) Required

    The client that you would like to be linked.

  • relationship string Required

    The relationship to the linked client.

  • inverse_relationship string Required

    The inverse relationship to the client.

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The unique identifier of the linked client.

    • name string

      The name of the linked client.

    • relationship string

      The relationship to the linked client.

POST /api/v1/client/{client_uuid}/linked-clients
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/client/6ff8f7f6-1eb3-3525-be4a-3932c805afed/linked-clients' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"account_uuid":"bc0b3026-3dae-4423-b52a-14d33fbd7157","relationship":"Son","inverse_relationship":"Father"}'
Request examples
{
  "account_uuid": "bc0b3026-3dae-4423-b52a-14d33fbd7157",
  "relationship": "Son",
  "inverse_relationship": "Father"
}
Response examples (201)
{
  "uuid": "5d5250c1-0d31-4522-9dd0-75075669cf0f",
  "name": "Gareth",
  "relationship": "Father"
}